| Extracted from Pike v7.8 release 866 at 2018-02-09.

[Top]
Sql
Sql.pgsql

# Method Sql.pgsql()->quote()

Method quote

  `string quote(string s)`

Returns

  The given string, but escapes/quotes all contained magic characters according to the quoting rules of the current session for non-binary arguments in textual SQL-queries.

Note

  Quoting must not be done for parameters passed in bindings.

See also

  big_query() , quotebinary() , create()